# UserSettings

## POST /v2/userSettings

Creates or updates settings for the currently logged in user.

* metric: if metric units should be used
* measurements: if measurements in the plan should be shown
* area: if the areas should be shown in the plan
* furnitureSnap: if furniture should snap to walls
* roomHeight: default room height in mm
* parapetHeight: default parapetHeight in mm
* wallThickness: default wall thickness in mm

Accepts: application/json

Generates: application/json

Body:

```json
{
    "userSetting": {
        "metric": true,
        "measurements": false,
        "area": false,
        "furnitureSnap": false,
        "roomHeight": 2800,
        "parapetHeight": 900,
        "wallThickness": 250
    }
}
```

All fields are optional, shown are the default values.

Response success (200 OK):

```json
{
    "userSetting": {
        "id": "<settingsId>",
        "user": "<userId>",
        "metric": true,
        "measurements": false,
        "area": false,
        "furnitureSnap": false,
        "roomHeight": 2800,
        "parapetHeight": 900,
        "wallThickness": 250
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/usersettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
